// RemoveItemsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "RemoveItemsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRemoveItemsDlg dialog


UINT removeDialogCount = 1;
int removeDialogPosition = 1;
int removeDialogThread = 0;

CRemoveItemsDlg::CRemoveItemsDlg(CWnd* pParent /*=NULL*/)
    : CDialog(CRemoveItemsDlg::IDD, pParent)
{
    //{{AFX_DATA_INIT(CRemoveItemsDlg)
    m_Count = removeDialogCount;
    m_Position = removeDialogPosition;
    m_Thread = removeDialogThread;
    //}}AFX_DATA_INIT
}

CRemoveItemsDlg::~CRemoveItemsDlg()
{
    removeDialogCount = m_Count;
    removeDialogPosition = m_Position;
    removeDialogThread = m_Thread;
}

void CRemoveItemsDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CRemoveItemsDlg)
    DDX_Text(pDX, IDC_COUNT, m_Count);
    DDX_Radio(pDX, IDC_RADIO_POSITION, m_Position);
    DDX_Radio(pDX, IDC_RADIO_THREADING, m_Thread);
    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRemoveItemsDlg, CDialog)
    //{{AFX_MSG_MAP(CRemoveItemsDlg)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRemoveItemsDlg message handlers

Location CRemoveItemsDlg::GetLocation() const
{
    switch(m_Position)
    {
        case 0: return Head;
        case 1: return Tail;
        case 2: return Random;

        default:
            return Tail;
    }
}

Thread CRemoveItemsDlg::GetThread() const
{
    switch(m_Thread)
    {
        case 0: return GUIThread;
        case 1: return NonGUIThread;

        default:
            return GUIThread;
    }
}

UINT CRemoveItemsDlg::GetCount() const
{
    return m_Count;
}

void CRemoveItemsDlg::SetCount(UINT count)
{
	m_Count = count;
}
