#pragma once

#include <Dapfor/GUI/CustomDraw.h>


//////////////////////////////////////////////////////////////////////////
//This interface customizes the grid's painting
//////////////////////////////////////////////////////////////////////////
class CExplorerCustomDraw : public Dapfor::GUI::CCustomDraw
{
    typedef Dapfor::GUI::CCustomDraw BaseClass;
public:
    CExplorerCustomDraw(bool bAutoDelete);

    // Called to draw a cell. 
    virtual void DrawCell(Dapfor::GUI::CGridCell& cell, const Dapfor::GUI::CPaintContext& paintContext, UINT paintFilter);
    
    // Called to adjust columns. 
    virtual int GetOptimalCellWidth(Dapfor::GUI::CGridCell& cell, const Dapfor::GUI::CPaintContext& paintContext, UINT paintFilter) const;

private:
    CImageList m_ImageList;
    CImageList m_BuilletTriangle;
};
